## Index

### Enumerations

- State

### Type aliases

- AsObject

## Type aliases

### AsObject

AsObject: { autoSplit: boolean; offer?: Offer . AsObject ; reserveTxHash: string; reserveTxHex: string; reserveTxKey: string; scheduledAmount: string; scheduledTxHashesList: string[]; state: OpenOffer . State ; triggerPrice: number }

- Defined in src/protobuf/pb_pb.d.ts:6571

#### Type declaration

- ##### autoSplit: boolean

- ##### Optional offer?: Offer . AsObject

- ##### reserveTxHash: string

- ##### reserveTxHex: string

- ##### reserveTxKey: string

- ##### scheduledAmount: string

- ##### scheduledTxHashesList: string[]

- ##### state: OpenOffer . State

- ##### triggerPrice: number

Generated using TypeDoc